Install psyced on Gentoo Linux

If you're a Gentoo user, you will find the current psyclpc and psyced ebuilds in the overlay from git://cheettyiapsyciew.onion/youbroketheinternet-overlay.

Tarball Downloads

The latest full snapshot of psyced is psyced-20160525.tar.bz2
(SHA256 = 53e919f5671a91c5106c2d84fb557e4d48d5bc2b22105827e62303d113fd8e20).
Further updates and bugfixes are available by git pull.

The latest snapshot of psyclpc is files/psyclpc-20160417.tar.xz (SHA256 = ad403ad4243fea52d79b1d89d9ad30e2f6a89b4263cf13f329386d03cb6d4fbf).
Again, latest fixes are available by subsequent git pull.

You can browse the files directory for other version numbers.

Install psyced on Unix™

You need to download both a psyced and a psyclpc snapshot as provided above. To install psyced, extract the psyced-*.tar.bz2 file by tar xjvf filename. After that, switch to the directory extracted from the archive using cd psyc*, move the psyclpc snapshot into it (don't unpack it!) and run ./ Read also the installation manual in that directory.

Install psyced on Mac OSX™

Install Xcode-Tools, then continue as if your Mac™ was just another Unix.

Install psyced on Windows™

It is difficult, but it can be done. It has been done before. You can run the regular Unix procedure in a Cygwin environment. First, install Cygwin, then do what is said above for Unix. Just to motivate you a bit, here's a version string from a psyced on Windows:
psyced/0.99 psyclpc/4.0.4 CYGWIN_NT-5.1/1.5 i686
Although you must be subtly crazy to run either Windows or MacOS these days.

Staying up to date

The tarballs come with a git repository. Once you have them installed you can use regular git commands to fetch updates. The typical update procedure would be
git fetch origin
git diff master..origin/master | vim -R "+set syntax=diff" -
git merge -s resolve origin
or just psyced -u and the like. By subscribing to psyc:// you will receive realtime notifications of patch submissions to the repositories of various PSYC applications. You can also clone the gits directly from git:// and git://, but the installation procedure will not work in that case.